<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

	<uses-permission android:name="android.permission.POST_NOTIFICATIONS"/> <!-- lint -->

	<application
		android:name="com.castlabs.sdk.castdemo.DemoApp"
		android:allowBackup="true"
		android:icon="@mipmap/ic_launcher"
		android:label="Castlabs Cast Demo"
		android:supportsRtl="true"
		android:theme="@style/AppTheme"
		android:usesCleartextTraffic="true"> <!-- This is for debugging purposes only to be able to load content from http on >= Android 9 -->
		<meta-data android:name="castlabs-license"
				   android:value="${castlabsLicense}" />

		<activity android:name="com.castlabs.sdk.castdemo.MainActivity"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.MAIN"/>

				<category android:name="android.intent.category.LAUNCHER"/>
			</intent-filter>
		</activity>
		<activity
			android:name="com.castlabs.sdk.castdemo.SimplePlaybackDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Google Cast Demo"
			android:theme="@style/PlayerTheme"
			android:parentActivityName="com.castlabs.sdk.castdemo.MainActivity">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.castdemo.MainActivity"/>
		</activity>

		<activity
			android:name=".ExpandedControlsActivity"
			android:launchMode="singleTask"
			android:theme="@style/Theme.CastVideosTheme"
			android:screenOrientation="portrait"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.MAIN"/>
			</intent-filter>
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.castdemo.SimplePlaybackDemo"/>
		</activity>

		<!-- Google cast provider -->
		<meta-data
			android:name="com.google.android.gms.cast.framework.OPTIONS_PROVIDER_CLASS_NAME"
			android:value="com.castlabs.sdk.castdemo.CastOptionsProvider" />
	</application>

</manifest>
